
* 
* Purpose: Run Laser Printer Macro
* Author: Kevin Maher/Steve Tyrakowski
* Copyright: 1993 SCT Associates, Inc.
* 
* Section:2. LaserJet
* Category:Laserjet Macros
*
* Syntax:
*         LJ_Run( nMacro) => cEscCodes
*
* Parameters:
*         <nMacro> macro to run
*
* Returns:
*         Character string containing printer escape codes
*         to run a macro
*
* Description:
*         This function will run the macro number specified from
*         the Laser printer's memory.  It must have been recorded
*         first using the LJ_Record function.
*
* Examples:
*       ?? LJ_Run(99)     // runs macro 99 from printer memory
*
* See Also:
*       LJ_HLINE() LJ_VLINE() LJ_GoTo() LJ_REC() LJ_BOX() LJ_Del()
*
* Revisions:
*
* 

FUNCTION LJ_Run
PARAMETERS nMacro
RETURN  "&f"+Alltrim(Str(nMacro))+"y2X"
