
#DEFINE COPIES         1
#DEFINE DEVICE         2
#DEFINE DIRECTION      3
#DEFINE DUPLEX         4
#DEFINE FONT           5
#DEFINE FRAME          6
#DEFINE GREENBARPCT  7
#DEFINE HPAGES         8
#DEFINE VPAGES         9
#DEFINE LPP            10
#DEFINE NUMBERING      11
#DEFINE ORIENTATION    12
#DEFINE PAPER          13
#DEFINE RANGESTART     14
#DEFINE RANGEEND       15
#DEFINE TABS           16
#DEFINE TDTITLE        17
#DEFINE TRAY           18
#DEFINE WRAP           19
#DEFINE GREENHEIGHT    20
#DEFINE GREENLINES     21


#DEFINE TREELEN   21

FUNCTION TreeSet
PARAMETERS nRows
PRIVATE nAction
private ngh, ngp, ngb

  DIMENSION aTD(TREELEN)

  aTD[COPIES     ] = 1
  aTD[DEVICE     ] = 1
  aTD[DIRECTION  ] = 0
  aTD[DUPLEX     ] = 1
  aTD[FONT       ] = 0
  aTD[FRAME      ] = 2
  aTD[GREENBARPCT] = 10
  aTD[HPAGES     ] = 0
  aTD[VPAGES     ] = 1
  aTD[LPP        ] = Iif(Parameters() > 0, nRows, _PLENGTH)
  aTD[NUMBERING  ] = 0
  aTD[ORIENTATION] = 1
  aTD[PAPER      ] = 1
  aTD[RANGESTART ] = 1
  aTD[RANGEEND   ] = 0
  aTD[TABS       ] = 8
  aTD[TDTITLE    ] = 0
  aTD[TRAY       ] = 0
  aTD[WRAP	 ] = 1
  aTD[GREENHEIGHT] = 3
  aTD[GREENLINES]  = 1

  DEFINE WINDOW TD FROM 3,5 TO 14,75 TITLE "[ Treeducer Print Options ]"

  ACTIVATE WINDOW TD

  @ 1,2 SAY "Lines/page:" GET aTD[LPP] PICTURE "999" ;
    SPINNER 1,1,120;
    VALID Between(aTD[LPP],0,120) ;
    ERROR "Lines per page setting must be between 1 and 120"

  @ 1,21 SAY "Tabs:" GET aTD[TABS] PICTURE "99" ;
    SPINNER 1,0,16;
    VALID Between(aTD[TABS] , 0 , 17) ;
    ERROR "Tabs setting may be 0 thru 16 only"

  @ 3,1 SAY "Pages Across:" GET aTD[HPAGES] PICTURE "99" SPINNER 1,0,10;
    VALID Between(aTD[HPAGES], 0, 10) ;
    ERROR "Pages across must be between 0 (autosize) and 10"

  @ 3,21 SAY "Down:" GET aTD[VPAGES] PICTURE "99" SPINNER 1,1,10;
    VALID Between(aTD[VPAGES], 1, 10) ;
    ERROR "Pages down must be between 1 and 10"

  @ 5,3 SAY "Greenbar % "  GET aTD[GREENBARPCT] SPINNER 5,0,99 PICTURE "99";
    VALID Between(aTD[GREENBARPCT], 0, 99) ;
    ERROR "Shading percentage must be between 0 and 99"

  @ 5,20 SAY "Groups:"  GET aTD[GREENHEIGHT] PICTURE "9" SPINNER 1,1,5;
    VALID Between(aTD[GREENHEIGHT], 1, 5) ;
    ERROR "Greenbar height must be between 1 and 5"

  @ 5,32 SAY " Copies:" GET aTD[COPIES] PICTURE "99" SPINNER 1,0,99

  @ 7,1  SAY "Lines:" GET aTD[GREENLINES] SIZE 1,9;
       PICTURE "@*RH None;Solid;Dashed"

  @ 8,1 SAY "Frame:" GET aTD[FRAME] SIZE 1,9;
    PICTURE "@*RH None;Box;T;I"

  @ 1,33 GET aTD[WRAP] FUNCTION "*C" PICTURE "Wrap"
  @ 2,33 GET aTD[FONT] FUNCTION "*C" PICTURE "Mini Font"
  @ 3,33 GET aTD[TDTITLE] FUNCTION "*C" PICTURE "Title"

  @ 0,48 GET aTD[DUPLEX] SIZE 5,19 FUNCTION "^" ;
    PICTURE "Single Sided;Duplex Long Edge;Duplex Short Edge;Front Side Only;Back Side Only;Prompted Duplex"


  @ 3,48 GET aTD[PAPER] SIZE 8,19 FUNCTION "^" ;
    PICTURE "Letter;Legal;Executive;A4;Com10;Monarc;C5;DL"

  @ 7,47 GET nAction DEFAULT 1 SIZE 2,10 FUNCTION "*H \!Print;\?Cancel"


  READ CYCLE

  DEACTIVATE WINDOW TD
  RELEASE WINDOW TD

  nGreenbar = 0
  IF aTD[GREENBARPCT] > 0
    nGreenbar = nGreenbar + 1
  ENDIF
  DO CASE
     CASE aTD[GREENLINES] == 2
       nGreenbar = nGreenbar + 2
     CASE aTD[GREENLINES] == 3
       nGreenbar = nGreenbar + 4
  ENDCASE
  =td_set()
  =td_copycnt(aTD[COPIES])
  =td_device(aTD[DEVICE])
  =td_directn(aTD[DIRECTION])
  =td_duplex(aTD[DUPLEX] - 1)
  =td_font(aTD[FONT])
  =td_frame(Iif(aTD[FRAME]==1,0,2 ^ (aTD[FRAME] - 2)) )
  =td_grnbar(Int(nGreenbar), Int(aTD[GREENHEIGHT]), Int(aTD[GREENBARPCT]))
  =td_hpages(aTD[HPAGES])
  =td_vpages(aTD[VPAGES])
  =td_lpp(aTD[LPP])
  =td_number(aTD[NUMBERING])
  =td_orient(aTD[ORIENTATION])
  =td_paper(aTD[PAPER] - 1)
  =td_range(aTD[RANGESTART], aTD[RANGEEND])
  =td_tabs(aTD[TABS])
  =td_title(aTD[TDTITLE])
  =td_tray(aTD[TRAY])
  =td_wrap(aTD[WRAP])

  nRows = aTD[LPP]

RETURN (nAction == 1 .and. LastKey() <> 27)

